new engines have shape for drag different from the visible shape
Description

Many of the new engines have variants models, often with and without tank butts.

1) The PartDatabase.cfg is populated with drag-cubes that correspond to the areas and shapes of these engines with shrouds
attached. This produces drag in-game that can be surprising if you chose an engine that would fit the stack without its shroud.
(Usually the drag-cube has 'Shielded’ and 'Clean' entries but this is turned off with useMultipleDragCubes = false in the new engines,
probably to let the drag-cube entries line up simply with the variants.)

2) The models with shrouds have holes passing thru so the drag areas do not fill the expected {1.5, 2.5, 3.75}-meter-diameter circles.
This leaves an area mismatch in the joints of a stack, and KSP applies flat-plate drag that users would not expect, similarly to the
behaviour of tubes in #19376.

The drag a player feels is very sensitive to mismatches in area where two parts join along the stack. Desired behavior is to have at
least the ends with nodes have areas in the drag model matching the visible area of the model, with any holes filled in, which often
results in an area very near (nominal diamter)? x pi/4

Something like the Kodiak, with three variants and shroud/no-shroud configurations, would seem to need 6 drag-cube entries for the
6 possible visible shapes.

History

#1 - 12/16/2018 06:44 AM - Anonymous

- Description updated

#2 - 12/16/2018 06:47 AM - Anonymous

- Description updated

The report from the forum:
https://forum.kerbalspaceprogram.com/index.php?/topic/180544-ksp-loading-a-closer-look-into-update-16/&do=findComment&comment=3504410

#3 - 12/16/2018 07:04 AM - Anonymous
- File drag race.craft added

- File dragrace.craft added

#4 - 12/23/2018 05:20 AM - Anonymous
- Version changed from 1.5.1 to 1.6.0
- Expansion Core Game added

- Expansion deleted (Making History)

Now that the Terrier and Spark have variants, with version 1.6.0, this affects the core game.
If you put the default-variant Terrier between two 1.25-m parts, those neighboring parts get the drag of flat-plates of nearly half their cross-sectional
area.

The difference in drag between variants are tiny compared to the difference with versus without the shroud. It is straightforward to add a custom drag
specification (attached unvariantDrag.cfg) to restore the Shielded/Clean options for the Terrier and Spark.
https://bugs.kerbalspaceprogram.com/issues/19376
https://forum.kerbalspaceprogram.com/index.php?/topic/180544-ksp-loading-a-closer-look-into-update-16/&do=findComment&comment=3504410

The new engines are trickier because there is no configuration mechanism for each combination of variant and shroud. With a bit of a hack (also in
unvariantDrag.cfg) | get drag that feels right if |

1) specify each engine's areas A along the stack to match a disk that fills the cross-section with shroud attached, and

2) specify the Cd along the stack so that AxCd is reasonable for the engine without shroud.

#5 - 12/23/2018 07:41 AM - Anonymous
- File unvariantDrag.cfg added

#6 - 12/25/2018 03:02 AM - Anonymous
- File deleted (unvariantDrag.cfg)

#7 - 12/25/2018 03:03 AM - Anonymous
- File deleted (dragrace.craft)

#8 - 12/25/2018 03:03 AM - Anonymous
- File deleted (drag race.craft)

#9 - 12/25/2018 03:05 AM - Anonymous
- File TerrierRace.craft added

- File TerrierRace.jpg added

#11 - 01/12/2019 06:58 AM - Anonymous

- File unvariantDrag.cfg added

#12 - 02/10/2019 03:07 AM - Anonymous
- File deleted (unvariantDrag.cfg)

#13 - 02/10/2019 03:07 AM - Anonymous
- File unvariantDrag.cfg added

#14 - 02/25/2019 06:21 AM - Anonymous
- File deleted (unvariantDrag.cfg)

#15 - 02/25/2019 06:22 AM - Anonymous
- File unvariantDrag.cfg added

- Subject changed from engines with variants have shape for drag different from the visible shape to new engines have shape for drag different from
the visible shape

- Description updated

The new Poodle, with the twin bells and truss mount, also has the problem of a default drag-cube from a hollow part failing to fill its space in KSPs
aero model, between its neighbors in the stack. Adding its fix to the attached config.

#16 - 07/06/2020 05:53 AM - Anonymous

- Status changed from New to Moot

This is fixed in version 1.10.0

Probably changelog item

"* Fix drag cubes on J-90 Goliath, 48-7S Spark, LV-909 Terrier, RE-M3 Mainsail, RE-L10 Poodle RE-I5 Skipper, and numerous other parts."
refers to this fix.

Most of the engines patched in 'unvariantDrag.cfg' above, Spark Terrier Poodle Mastodon Cheetah Bobcat Skiff Wolfhound, will now fair the gap
between matched-diameter cylindrical parts when their shrouds are connected to a lower part.

The Kodiak is still a special case with its choice of two diameters of shrouds. When its shroud is connected to a lower part in the stack, for
aerodynamic purposes it acts like the smaller 1.25-meter diameter, so if you use the 'Shroud Big' variant of Kodiak and the drag bothers you, just
disable the shroud going to the next stage in the stack.

Files
skiff.jpg 95.9 KB 12/16/2018 Anonymous
kodiak.jpg 111 KB 12/16/2018 Anonymous
TerrierRace.craft 67.9 KB 12/25/2018 Anonymous
TerrierRace.jpg 44.3 KB 12/25/2018 Anonymous
unvariantDrag.cfg 3.12 KB 02/25/2019 Anonymous
